Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

involute spline question 2

Status
Not open for further replies.

mothgils

Industrial
Aug 24, 2007
2
0
0
US
I am attempting to draw a 19T, 32/64 30Deg. Pressure Angle Class 5 Spline. I have not had much experience with splines and gears. I am using AutoCAD to draw the spline. Is there a calculation to use to draw the profile of the tooth? I am not sure how to go about drawing the radius on the side of the tooth. Any help would be greatly appreciated.

TIA
 
Replies continue below

Recommended for you

It is not a radius but an involute similar
to an involute on a gear. Any gear book will
give you the equations to draw an involute or
you can search this forum on involute and find
a program to do what you want.
 
mothgils,

Unless you're doing it for fun, or if you need accurate surface geometry of the spline for some reason, it's probably not necessary to draw the spline profile perfectly. The spline itself will be shaped/hobbed/rolled based on the information you provide in the spline data table on your drawing, not on the 3D surface data in your AutoCAD model.

But as dimjim noted, a good reference like Machinery's Handbook will give you a procedure for generating an involute tooth profile. Of course, the profile you generate will only be a nominal profile, and will not have the necessary corrections for the class 5 tolerance you have specified. If you really must have an accurate CAD model of the spline, I would recommend purchasing an add-on application for AutoCAD that will produce accurate gear and spline profiles, with all of the necessary corrections.

One package that I have used, and seems to work well, is GearTrax:
Good luck.
 
M,
19T,32-64 DP, 30 deg PA, Class 5:

Flat Root Side Fit, (Min Minor 0.539"?)

Fillet Root Side Fit? (Min Minor 0.519"? Min Fillet, 0.009"?)
 
I have looked in the Machinery Handbook and am unable to find information on calculating the involute. Is there a way to get the ANSI B92.1-1970 standard for free? I thought that might be another way to find the necessary information. Also, does anyone know what calculations I could use to find the involute? I have everything else drawn but the tooth profile.
 
This is from an earlier thread by diamondjim for drawing
gear profiles.

;GEAR.LSP - This program generates involute curve profile.

;USER INPUTS ARE:
; Number of Teeth Diametral Pitch
; Pressure Angle Arc Tooth Thickness (TT x DP)
; Addendum Dedendum
; Fillet Radius
(defun c:gear ()
(setq numt (getint "Number of Teeth:<24> "))
(if (= numt nil)
(setq numt 24))
(setq diap (getreal "Diametral Pitch:<1.00> "))
(if (= diap nil)
(setq diap 1.000))
(setq prsa (getreal "Pressure Angle:<20.0> "))
(if (= prsa nil)
(setq prsa 20.0))
(setq adum (getreal "Addendum:<1.0000> "))
(if (= adum nil)
(setq adum 1.0000))
(setq ddum (getreal "Dedendum:<1.1571> "))
(if (= ddum nil)
(setq ddum 1.1571))
(setq tt (getreal "Arc Tooth Thickness :<1.5708> "))
(if (= tt nil)
(setq tt 1.5708))
(setq filr (getreal "Fillet Radius:<0.235> "))
(if (= filr nil)
(setq filr 0.235))
(setvar "orthomode" 0)
(setvar "coords" 1)
;START CALCULATIONS
;
(setq pnts 19) ;determines involute curve accuracy
(setq prsa (/ (* prsa pi) 180.0)) ;pressure angle to radians
(setq pitr (/ numt (* diap 2.0))) ;calc pitch radius
(setq irad (- pitr ddum)) ;calc inside radius
(setq orad (+ pitr adum)) ;calc outer radius
(setq basr (* pitr (cos prsa))) ;calc base radius of gear
(setq z (- (expt orad 2.0) (expt basr 2.0))) ;three lines of
(setq x (sqrt z)) ;code to make
(setq paodd (atan (/ x basr))) ;an arccosine
(setq incr (/ paodd pnts))
(setq p 0.0)
(setq tt (* diap (/ tt numt)))
(GRAPHSCR)
(setq p2 '(0 0)) ;Center of Gear
(setq x2 (CADR p2))
(setq y2 (CAR p2))
(setq y5 (+ y2 basr))
(setq y6 (+ y2 irad))
(setq p6 (list x2 y6))
(setq p5 (list x2 y5))
(setq pz1 (polar p2 1.95 (* basr 0.9)))
(setq pz2 (polar p2 1.35 (* orad 1.5)))
(COMMAND "CIRCLE" P2 pitr) ;place pitch circle
(COMMAND "CIRCLE" P2 basr) ;place base circle
(COMMAND "CIRCLE" P2 irad) ;place inside circle
(COMMAND "ZOOM" "w" pz1 pz2) ;Window for drawing curve
(setq s (ssadd))
(setq le (entlast))
;
;begin a loop for placement of coordinate pairs
;the command pline will be used to generate a polyline whose
;vertices will be computed by a standard involute curve formula
;drawn from base diameter to the od of the part
(setq test 0)
(COMMAND "PLINE" p5)
(setq p (+ incr p))
(while (> pnts 0)
(setq e1 (sin p))
(setq e2 (cos p))
(setq e (/ e1 e2))
(setq j (- e p))
(setq x1 (* (/ (sin j) (cos p)) basr))
(setq y1 (* (/ (cos j) (cos p)) basr))
(setq x3 (+ x2 x1))
(setq y3 (+ y2 y1))
(setq p3 (list x3 y3))
(COMMAND p3)
(setq p (+ incr p))
(setq pnts (- pnts 1))
(if (/= test 1)
(PROGN
(setq hyp (sqrt (+ (expt x1 2) (expt y1 2))))
(if (> hyp irad)
(progn
(setq pint p3)
(setq test 1)))))
)
(COMMAND "")
(initget "Y y N n")
(setq ans Y)
(if (/= ans "N")
(PROGN
(setq pz3 (polar p2 (* pi 1.25) (* orad 1.6)))
(setq pz4 (polar p2 (* pi 0.25) (* orad 1.6)))
(setq ang13 (/ (sin prsa) (cos prsa)))
(setq ang11 (- ang13 prsa))
(setq x11 (* (sin ang11) pitr))
(setq y11 (* (cos ang11) pitr))
(setq p11 (list x11 y11))
(setq ang (angle p2 p11))
(setq angi (- ang tt))
(setq p12 (polar p2 angi (/ ORAD 0.8)))
(setq beta (angle p2 p3))
(setq ang2 (- (* angi 2.0) beta))
(setq p15 (polar p2 ang2 orad))
(setq adj1 (- ang2 j))
(setq adj2 (+ adj1 (/ (* pi 2.0) numt)))
(setq adj3 (+ adj2 0.3))
(setq p22 (polar p2 adj3 basr))
(setq p17 (polar p2 adj2 irad))
(setq p18 (polar p2 adj2 basr))
(setq angr (* (+ ang11 tt) (/ 180.0 pi)))
(setq p21 (polar p2 ang2 (/ orad 0.8)))
(setq angm (+ angi (/ pi numt)))
(setq p19 (polar p2 angm irad))
(setq p20 (polar p2 angm (+ irad filr)))
(COMMAND "ARC" p15 "c" p2 p3)
(COMMAND "MIRROR" "W" p22 p21 "" p2 p12 "")
(COMMAND "ROTATE" "w" pz3 pz4 "" p2 angr)
(while (setq le (entnext le))
(ssadd le s)
)
(COMMAND "ARRAY" s "" "p" p2 numt "" "")
) )
(Prompt "\nDone! ")
(princ)
)
 
Where I work, we use AutoCAD LT and it doesn't seem to have the ability to use LISP routines, so I used the method in the geometrical construction section of the Machinery's Handbook for constructing the involute curve.
A polar array can divide the circle while the divide command can be used to give you the arc lengths. For the arc lengths I drew a line equal to the circle's diameter, scaled that by pi, and divided it into the same number of segments as I divided the circle. The more segments, the finer the resolution.
I used a base circle of 1 for my curve and paste this in as a block scaling to the desired base diameter.
From there, I position the curve based on measurements over pins.
Who's cutting the spline for you? I'd call them for this dimension as they'll have the program for that calculation. Unless you're doing this every day, it's tough to justify the expense for your own program.
This method isn't perfect, but it's close enough that I can use it to give me dimensions over alternate pin diameters.

Good luck.
 
rharr,
for the ACAD LT you can calculate the involute points in Excel and import (copy-paste) it in the ACAD script file (*.scr)
ACAD LT accepts scripts and will draw a perfect curve through the precalculated points. It is a tested method - I did it when I used the LT.
You can learn more about the scripts in the ACAD user's manual.
For more about the involute and the math behind it check
 
I'll have to do some research on this. I use customized buttons to do a lot of regular tasks. I had no idea AutoCAD LT could run something like a script to draw a curve.

Thank you.
 
Involute curves take an age to create, gobble up bites, make the drawing unwieldy & can cause prob's in 3D. I always approximate the involute to a radius struck from the base circle tangent to the pitch circle flank intersect. the errors at the tip and root are small. Slines are hobbed and broached/shaped and so there will be no problem with machine tool data transfer.

If you are "dimensioning" the spline for base tangent (across several teeth) either rotate one set of flanks to the correct dimension (usually defined by the spline standard) or if it is permitted in your system, edit the dimension. The same goes for pin dimensions.
 
M,
you never did share your tooth data.

Anyway, here is a 23 tooth, 32/64 DP 30deg PA, Fillet Root Side Fit Class 5, with one tooth cut away.

gearshaft07a.jpg IMG



gearshaft07b.jpg IMG
 
I never had problems with involutes on higher level CAD, 3D included. Just slightly larger files.
Can be problem in Autocad, I did not try it.
The accurate curve is necessary if the file will be used to EDM the splines.
 
I concur with gearguru's comment about EDM. You will though, be surprised to learn that in my experience, broaches are made closer to a radius than the involute. The errors are lost in the fit.
 
Gearguru,
It's rharr again.
When you ran the scripts for generating the involute in AutoCAD LT, did you adjust the Excel file, and in turn, the script to account for scale and location within the drawing file?
I ask this because it doesn't appear scripts can accept user input while it's running.
 
rharr,
I created the script file in Notepad and copy-pasted the coordinates from Excel. Then I run it in LT, the spline through those points was created.
It is a while ago and I do not have LT anymore. But if you search in these fora (Forums???) you should find more about it - we discussed it here some (rather long) time ago.
Sorry that I could not help more; if I find more details, I'll post it here.
 
Status
Not open for further replies.
Back
Top